package cn.com.qmth.stmms.biz.mark.model;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 阅卷轨迹
 * 
 * @author luoshi
 * 
 */
@Entity
@Table(name = "m_track")
public class MarkTrack {

    @EmbeddedId
    private MarkTrackPK pk;

    @Column(name = "exam_id", nullable = false)
    private Integer examId;

    @Column(name = "subject_code", nullable = false)
    private String subjectCode;

    @Column(name = "marker_id", nullable = false)
    private Integer markerId;

    /**
     * 轨迹分数
     */
    @Column(name = "score", nullable = false)
    private Double score;

    /**
     * X轴相对位置，0~1
     */
    @Column(name = "position_x", nullable = false)
    private Double positionX;

    /**
     * Y轴相对位置，0~1
     */
    @Column(name = "position_y", nullable = false)
    private Double positionY;

    public MarkTrack() {
        this.pk = new MarkTrackPK();
    }

    public Integer getStudentId() {
        return pk.getStudentId();
    }

    public void setStudentId(Integer studentId) {
        pk.setStudentId(studentId);
    }

    public String getQuestionNumber() {
        return pk.getQuestionNumber();
    }

    public void setQuestionNumber(String questionNumber) {
        pk.setQuestionNumber(questionNumber);
    }

    public Integer getNumber() {
        return pk.getNumber();
    }

    public void setNumber(Integer number) {
        pk.setNumber(number);
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getPositionX() {
        return positionX;
    }

    public void setPositionX(Double positionX) {
        this.positionX = positionX;
    }

    public Double getPositionY() {
        return positionY;
    }

    public void setPositionY(Double positionY) {
        this.positionY = positionY;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Integer getMarkerId() {
        return markerId;
    }

    public void setMarkerId(Integer markerId) {
        this.markerId = markerId;
    }

}
